﻿using System;

namespace Assertions
{
    public static class Assert
    {
        public static void True(bool condition, string? message = null)
        {
            if(!condition)
            {
                throw new InvalidOperationException(message);
            }
        }

        public static void Zero(long value, string? message = null)
        {
            if (value != 0)
            {
                throw new InvalidOperationException(message);
            }
        }
    }
}
