﻿namespace TemporalSourceCover
{
    public enum VertexType
    {
        Regular,

        /// <summary>
        /// The vertex has only out-edges
        /// </summary>
        Source,

        /// <summary>
        /// The vertex has only in-edges
        /// </summary>
        Sink,

        /// <summary>
        /// The vertex has in-edges, but the earliest in-edge exists before (strict) or simultaneously (non-strict) all out-edges.
        /// </summary>
        Gateway,

        /// <summary>
        /// The vertex has no edges
        /// </summary>
        Isolated,
    }
}
