﻿using System;
using System.Collections.Generic;

namespace TemporalSourceCover
{
    [Serializable]
    internal class InvalidSolutionException : Exception
    {
        public Solution Solution { get; }
        public IReadOnlyList<TemporalGraphVertex>? NotReached { get; }

        public InvalidSolutionException(Solution solution, List<TemporalGraphVertex>? notReached)
        {
            Solution = solution;
            NotReached = notReached;
        }
    }
}